Edit a credit

This request edits a credit on a line of credit account.

   Click here to learn more about this request

A credit transaction forgives a portion of debt on a line of credit account. Note the following when using this request:

The LineOfCreditCreditTransactions object holds credit information, and it's nested within the LineOfCredits entity.

Credits cannot be applied before the account's open date and cannot be applied in previous billing cycles. Keep this in mind when editing an existing credit.

Credits are applied broadly to a line of credit account instead of a specific Bucket.

For an example of how logging a credit works within the UI, take a look at our Credits article.

Database

For information regarding credit transaction database tables, see the following articles:

Database – Line of Credit Credit Transaction (line_of_credit_credit_transaction_entity)

Database – Line of Credit Account (line_of_credit_entity)

{
    "title": "March Promo Credit",
    "status": "lineOfCredit.transactionStatus.active",
    "amount": "12.34",
    "applyDate": "2025-04-25",
    "bucketId": 0,
    "description": "March Promo Credit"
}
Path Params
int32
required

The ID of the credit.

Body Params
string

The title of the credit.
> Limited to 255 characters.

string
enum

The status of the credit.

float

The dollar amount of the credit.

date

The apply date of the credit.
> Formatted as YYYY-MM-DD.

int32

The ID of the bucket.

string

The description of the credit.
> Limited to 255 characters.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json